
#version 330
in vec2 TexCoords;
layout(location=0) out vec4 color;
layout(location=1) out vec4 velocity;

uniform sampler2D text;
uniform vec4 textColor;

void main() {
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
    color = vec4(textColor) * sampled;
    velocity = vec4(0.0, 0.0, 0.0, 0.0);
}

